[Bioperl-l] Failure to compile the CVS snapshot of bioperl-ext on AMD64

Sendu Bala bix at sendu.me.uk
Mon Oct 2 10:05:11 EDT 2006


Florin Iucha wrote:
> On Mon, Oct 02, 2006 at 11:52:47AM +0100, Sendu Bala wrote:
>> Florin Iucha wrote:
>>> I am trying to install bioperl-network from CVS.  I found this to
>>> require bioperl from CVS, which requires bioperl-ext from CVS.
>> I can't help with the compile problems you encountered (other than to 
>> say I also have problems under AMD64), but from where did you get the 
>> idea that bioperl (live/core) requires bioperl-ext? It doesn't, though 
>> recent changes to Makefile.PL may give that impression...
> 
> Running the tests for bioperl-live mention in some places that 'this
> test has been skipped since $foo is not available' and I found the
> 'foos' in bioperl-ext.

Right, yes. The idea is, you'd only need to install bioperl-ext if you 
wanted to use the modules that the complaining tests test.
So if none of the things that were skipped matter to you, don't install ext.

I guess this needs to be clarified in documentation somewhere.


More information about the Bioperl-l mailing list